<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- InheritanceGraph.html -->
<!-- this view was generated by InheritanceGraph -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Inheritance Graph</title>
<link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body class="InheritanceGraph">
<div class="navigation">
<span class="normal"><a href="Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="InheritanceTree.html" >Inheritance Tree</a></span>
<span class="selected">Inheritance Graph</span>
<span class="normal"><a href="NameIndex.html" >Name Index</a></span>
</div>
<h1 >Inheritance Graph</h1><img alt="InheritanceGraph-0" src="InheritanceGraph-0.png" hspace="8" vspace="8" border="0" usemap="#InheritanceGraph-0_map" />
<map name="InheritanceGraph-0_map"><area alt="Scopes/Synopsis/SymbolLookup/Undefined.html" href="Scopes/Synopsis/SymbolLookup/Undefined.html" shape="rect" coords="5, 81, 237, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/TypeError.html" href="Scopes/Synopsis/SymbolLookup/TypeError.html" shape="rect" coords="261, 81, 493, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" href="Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" shape="rect" coords="517, 81, 781, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/InternalError.html" href="Scopes/Synopsis/SymbolLookup/InternalError.html" shape="rect" coords="805, 81, 1053, 105" />
</map>
<img alt="InheritanceGraph-1" src="InheritanceGraph-1.png" hspace="8" vspace="8" border="0" usemap="#InheritanceGraph-1_map" />
<map name="InheritanceGraph-1_map"><area alt="Scopes/Synopsis/Lexer/InvalidChar.html" href="Scopes/Synopsis/Lexer/InvalidChar.html" shape="rect" coords="5, 81, 192, 105" />
</map>
<div class="inheritance-group">Graphs in Synopsis:<br/><img alt="InheritanceGraph-2" src="InheritanceGraph-2.png" hspace="8" vspace="8" border="0" usemap="#InheritanceGraph-2_map" />
<map name="InheritanceGraph-2_map"><area alt="Scopes/Synopsis/PTree/Visitor.html" href="Scopes/Synopsis/PTree/Visitor.html" shape="rect" coords="876, 7, 1033, 31" />
<area alt="Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" href="Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" shape="rect" coords="5, 81, 248, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" href="Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" shape="rect" coords="272, 81, 520, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/Walker.html" href="Scopes/Synopsis/SymbolLookup/Walker.html" shape="rect" coords="544, 81, 755, 105" />
<area alt="Scopes/Synopsis/PTree/Writer.html" href="Scopes/Synopsis/PTree/Writer.html" shape="rect" coords="779, 81, 936, 105" />
<area alt="Scopes/Synopsis/PTree/TypeVisitor.html" href="Scopes/Synopsis/PTree/TypeVisitor.html" shape="rect" coords="960, 81, 1147, 105" />
<area alt="Scopes/Synopsis/PTree/RTTIDisplay.html" href="Scopes/Synopsis/PTree/RTTIDisplay.html" shape="rect" coords="1171, 81, 1365, 105" />
<area alt="Scopes/Synopsis/PTree/DotFileGenerator.html" href="Scopes/Synopsis/PTree/DotFileGenerator.html" shape="rect" coords="1389, 81, 1611, 105" />
<area alt="Scopes/Synopsis/PTree/Display.html" href="Scopes/Synopsis/PTree/Display.html" shape="rect" coords="1635, 81, 1797, 105" />
</map>
</div><div class="inheritance-group">Graphs in Synopsis::PTree:<br/><img alt="InheritanceGraph-3" src="InheritanceGraph-3.png" hspace="8" vspace="8" border="0" usemap="#InheritanceGraph-3_map" />
<map name="InheritanceGraph-3_map"><area alt="Scopes/Synopsis/PTree/List.html" href="Scopes/Synopsis/PTree/List.html" shape="rect" coords="2481, 81, 2625, 105" />
<area alt="Scopes/Synopsis/PTree/UserdefKeyword.html" href="Scopes/Synopsis/PTree/UserdefKeyword.html" shape="rect" coords="5, 163, 227, 187" />
<area alt="Scopes/Synopsis/PTree/UserAccessSpec.html" href="Scopes/Synopsis/PTree/UserAccessSpec.html" shape="rect" coords="251, 163, 467, 187" />
<area alt="Scopes/Synopsis/PTree/TypeParameter.html" href="Scopes/Synopsis/PTree/TypeParameter.html" shape="rect" coords="491, 163, 701, 187" />
<area alt="Scopes/Synopsis/PTree/TemplateInstantiation.html" href="Scopes/Synopsis/PTree/TemplateInstantiation.html" shape="rect" coords="725, 163, 968, 187" />
<area alt="Scopes/Synopsis/PTree/TemplateDecl.html" href="Scopes/Synopsis/PTree/TemplateDecl.html" shape="rect" coords="992, 163, 1192, 187" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="1216, 155, 1405, 195" />
<area alt="Scopes/Synopsis/PTree/ParameterDeclaration.html" href="Scopes/Synopsis/PTree/ParameterDeclaration.html" shape="rect" coords="1429, 163, 1675, 187" />
<area alt="Scopes/Synopsis/PTree/NamespaceSpec.html" href="Scopes/Synopsis/PTree/NamespaceSpec.html" shape="rect" coords="1699, 163, 1915, 187" />
<area alt="Scopes/Synopsis/PTree/Name.html" href="Scopes/Synopsis/PTree/Name.html" shape="rect" coords="1939, 163, 2093, 187" />
<area alt="Scopes/Synopsis/PTree/MetaclassDecl.html" href="Scopes/Synopsis/PTree/MetaclassDecl.html" shape="rect" coords="2117, 163, 2320, 187" />
<area alt="Scopes/Synopsis/PTree/LinkageSpec.html" href="Scopes/Synopsis/PTree/LinkageSpec.html" shape="rect" coords="2344, 163, 2539, 187" />
<area alt="Scopes/Synopsis/PTree/FstyleCastExpr.html" href="Scopes/Synopsis/PTree/FstyleCastExpr.html" shape="rect" coords="2563, 163, 2771, 187" />
<area alt="Scopes/Synopsis/PTree/ExternTemplate.html" href="Scopes/Synopsis/PTree/ExternTemplate.html" shape="rect" coords="2795, 163, 3008, 187" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="3032, 155, 3224, 195" />
<area alt="Scopes/Synopsis/PTree/Expression.html" href="Scopes/Synopsis/PTree/Expression.html" shape="rect" coords="3248, 163, 3432, 187" />
<area alt="Scopes/Synopsis/PTree/EnumSpec.html" href="Scopes/Synopsis/PTree/EnumSpec.html" shape="rect" coords="3456, 163, 3640, 187" />
<area alt="Scopes/Synopsis/PTree/Declarator.html" href="Scopes/Synopsis/PTree/Declarator.html" shape="rect" coords="3664, 163, 3845, 187" />
<area alt="Scopes/Synopsis/PTree/Declaration.html" href="Scopes/Synopsis/PTree/Declaration.html" shape="rect" coords="3869, 163, 4056, 187" />
<area alt="Scopes/Synopsis/PTree/ClassSpec.html" href="Scopes/Synopsis/PTree/ClassSpec.html" shape="rect" coords="4080, 163, 4259, 187" />
<area alt="Scopes/Synopsis/PTree/Brace.html" href="Scopes/Synopsis/PTree/Brace.html" shape="rect" coords="4283, 163, 4437, 187" />
<area alt="Scopes/Synopsis/PTree/AccessSpec.html" href="Scopes/Synopsis/PTree/AccessSpec.html" shape="rect" coords="4461, 163, 4651, 187" />
<area alt="Scopes/Synopsis/PTree/AccessDecl.html" href="Scopes/Synopsis/PTree/AccessDecl.html" shape="rect" coords="4675, 163, 4861, 187" />
<area alt="Scopes/Synopsis/PTree/Node.html" href="Scopes/Synopsis/PTree/Node.html" shape="rect" coords="2477, 7, 2629, 31" />
<area alt="Scopes/Synopsis/PTree/WhileStatement.html" href="Scopes/Synopsis/PTree/WhileStatement.html" shape="rect" coords="2745, 81, 2959, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="2653, 7, 3051, 31" />
<area alt="Scopes/Synopsis/PTree/TryStatement.html" href="Scopes/Synopsis/PTree/TryStatement.html" shape="rect" coords="3167, 81, 3367, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="3075, 7, 3459, 31" />
<area alt="Scopes/Synopsis/PTree/SwitchStatement.html" href="Scopes/Synopsis/PTree/SwitchStatement.html" shape="rect" coords="3575, 81, 3793, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="3483, 7, 3885, 31" />
<area alt="Scopes/Synopsis/PTree/ReturnStatement.html" href="Scopes/Synopsis/PTree/ReturnStatement.html" shape="rect" coords="4001, 81, 4220, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="3909, 7, 4312, 31" />
<area alt="Scopes/Synopsis/PTree/LabelStatement.html" href="Scopes/Synopsis/PTree/LabelStatement.html" shape="rect" coords="4428, 81, 4639, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="4336, 7, 4731, 31" />
<area alt="Scopes/Synopsis/PTree/IfStatement.html" href="Scopes/Synopsis/PTree/IfStatement.html" shape="rect" coords="4847, 81, 5036, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="4755, 7, 5128, 31" />
<area alt="Scopes/Synopsis/PTree/GotoStatement.html" href="Scopes/Synopsis/PTree/GotoStatement.html" shape="rect" coords="5244, 81, 5452, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="5152, 7, 5544, 31" />
<area alt="Scopes/Synopsis/PTree/ForStatement.html" href="Scopes/Synopsis/PTree/ForStatement.html" shape="rect" coords="5660, 81, 5860, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="5568, 7, 5952, 31" />
<area alt="Scopes/Synopsis/PTree/ExprStatement.html" href="Scopes/Synopsis/PTree/ExprStatement.html" shape="rect" coords="6068, 81, 6276, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="5976, 7, 6368, 31" />
<area alt="Scopes/Synopsis/PTree/DoStatement.html" href="Scopes/Synopsis/PTree/DoStatement.html" shape="rect" coords="6484, 81, 6681, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="6392, 7, 6773, 31" />
<area alt="Scopes/Synopsis/PTree/DefaultStatement.html" href="Scopes/Synopsis/PTree/DefaultStatement.html" shape="rect" coords="6889, 81, 7111, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="6797, 7, 7203, 31" />
<area alt="Scopes/Synopsis/PTree/ContinueStatement.html" href="Scopes/Synopsis/PTree/ContinueStatement.html" shape="rect" coords="7319, 81, 7551, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="7227, 7, 7643, 31" />
<area alt="Scopes/Synopsis/PTree/CaseStatement.html" href="Scopes/Synopsis/PTree/CaseStatement.html" shape="rect" coords="7759, 81, 7967, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="7667, 7, 8059, 31" />
<area alt="Scopes/Synopsis/PTree/BreakStatement.html" href="Scopes/Synopsis/PTree/BreakStatement.html" shape="rect" coords="8175, 81, 8388, 105" />
<area alt="Scopes/Synopsis/PTree/StatementT.html" href="Scopes/Synopsis/PTree/StatementT.html" shape="rect" coords="8083, 7, 8480, 31" />
<area alt="Scopes/Synopsis/PTree/UserStatementExpr.html" href="Scopes/Synopsis/PTree/UserStatementExpr.html" shape="rect" coords="8599, 81, 8833, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="8504, 7, 8928, 31" />
<area alt="Scopes/Synopsis/PTree/UnaryExpr.html" href="Scopes/Synopsis/PTree/UnaryExpr.html" shape="rect" coords="9047, 81, 9231, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="8952, 7, 9325, 31" />
<area alt="Scopes/Synopsis/PTree/TypeofExpr.html" href="Scopes/Synopsis/PTree/TypeofExpr.html" shape="rect" coords="9443, 81, 9635, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="9349, 7, 9728, 31" />
<area alt="Scopes/Synopsis/PTree/TypeidExpr.html" href="Scopes/Synopsis/PTree/TypeidExpr.html" shape="rect" coords="9845, 81, 10035, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="9752, 7, 10128, 31" />
<area alt="Scopes/Synopsis/PTree/ThrowExpr.html" href="Scopes/Synopsis/PTree/ThrowExpr.html" shape="rect" coords="10247, 81, 10433, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="10152, 7, 10528, 31" />
<area alt="Scopes/Synopsis/PTree/StaticUserStatementExpr.html" href="Scopes/Synopsis/PTree/StaticUserStatementExpr.html" shape="rect" coords="10645, 81, 10912, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="10552, 7, 11005, 31" />
<area alt="Scopes/Synopsis/PTree/SizeofExpr.html" href="Scopes/Synopsis/PTree/SizeofExpr.html" shape="rect" coords="11124, 81, 11311, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="11029, 7, 11405, 31" />
<area alt="Scopes/Synopsis/PTree/PostfixExpr.html" href="Scopes/Synopsis/PTree/PostfixExpr.html" shape="rect" coords="11523, 81, 11712, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="11429, 7, 11805, 31" />
<area alt="Scopes/Synopsis/PTree/PmExpr.html" href="Scopes/Synopsis/PTree/PmExpr.html" shape="rect" coords="11924, 81, 12092, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="11829, 7, 12187, 31" />
<area alt="Scopes/Synopsis/PTree/ParenExpr.html" href="Scopes/Synopsis/PTree/ParenExpr.html" shape="rect" coords="12304, 81, 12488, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="12211, 7, 12581, 31" />
<area alt="Scopes/Synopsis/PTree/OffsetofExpr.html" href="Scopes/Synopsis/PTree/OffsetofExpr.html" shape="rect" coords="12700, 81, 12897, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="12605, 7, 12992, 31" />
<area alt="Scopes/Synopsis/PTree/NewExpr.html" href="Scopes/Synopsis/PTree/NewExpr.html" shape="rect" coords="13111, 81, 13287, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="13016, 7, 13381, 31" />
<area alt="Scopes/Synopsis/PTree/InfixExpr.html" href="Scopes/Synopsis/PTree/InfixExpr.html" shape="rect" coords="13500, 81, 13676, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="13405, 7, 13771, 31" />
<area alt="Scopes/Synopsis/PTree/FuncallExpr.html" href="Scopes/Synopsis/PTree/FuncallExpr.html" shape="rect" coords="13889, 81, 14079, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="13795, 7, 14173, 31" />
<area alt="Scopes/Synopsis/PTree/DotMemberExpr.html" href="Scopes/Synopsis/PTree/DotMemberExpr.html" shape="rect" coords="14292, 81, 14511, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="14197, 7, 14605, 31" />
<area alt="Scopes/Synopsis/PTree/DeleteExpr.html" href="Scopes/Synopsis/PTree/DeleteExpr.html" shape="rect" coords="14724, 81, 14911, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="14629, 7, 15005, 31" />
<area alt="Scopes/Synopsis/PTree/CondExpr.html" href="Scopes/Synopsis/PTree/CondExpr.html" shape="rect" coords="15124, 81, 15303, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="15029, 7, 15397, 31" />
<area alt="Scopes/Synopsis/PTree/CastExpr.html" href="Scopes/Synopsis/PTree/CastExpr.html" shape="rect" coords="15516, 81, 15689, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="15421, 7, 15784, 31" />
<area alt="Scopes/Synopsis/PTree/AssignExpr.html" href="Scopes/Synopsis/PTree/AssignExpr.html" shape="rect" coords="15903, 81, 16089, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="15808, 7, 16184, 31" />
<area alt="Scopes/Synopsis/PTree/ArrowMemberExpr.html" href="Scopes/Synopsis/PTree/ArrowMemberExpr.html" shape="rect" coords="16303, 81, 16537, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="16208, 7, 16632, 31" />
<area alt="Scopes/Synopsis/PTree/ArrayExpr.html" href="Scopes/Synopsis/PTree/ArrayExpr.html" shape="rect" coords="16749, 81, 16933, 105" />
<area alt="Scopes/Synopsis/PTree/ExpressionT.html" href="Scopes/Synopsis/PTree/ExpressionT.html" shape="rect" coords="16656, 7, 17027, 31" />
<area alt="Scopes/Synopsis/PTree/UsingDirective.html" href="Scopes/Synopsis/PTree/UsingDirective.html" shape="rect" coords="3189, 251, 3395, 275" />
<area alt="Scopes/Synopsis/PTree/UsingDeclaration.html" href="Scopes/Synopsis/PTree/UsingDeclaration.html" shape="rect" coords="3419, 251, 3637, 275" />
<area alt="Scopes/Synopsis/PTree/Typedef.html" href="Scopes/Synopsis/PTree/Typedef.html" shape="rect" coords="3661, 251, 3832, 275" />
<area alt="Scopes/Synopsis/PTree/NamespaceAlias.html" href="Scopes/Synopsis/PTree/NamespaceAlias.html" shape="rect" coords="3856, 251, 4069, 275" />
<area alt="Scopes/Synopsis/PTree/FunctionDefinition.html" href="Scopes/Synopsis/PTree/FunctionDefinition.html" shape="rect" coords="4093, 251, 4320, 275" />
<area alt="Scopes/Synopsis/PTree/ClassBody.html" href="Scopes/Synopsis/PTree/ClassBody.html" shape="rect" coords="4344, 251, 4523, 275" />
<area alt="Scopes/Synopsis/PTree/Block.html" href="Scopes/Synopsis/PTree/Block.html" shape="rect" coords="4547, 251, 4699, 275" />
<area alt="Scopes/Synopsis/PTree/Literal.html" href="Scopes/Synopsis/PTree/Literal.html" shape="rect" coords="17003, 81, 17163, 105" />
<area alt="Scopes/Synopsis/PTree/Atom.html" href="Scopes/Synopsis/PTree/Atom.html" shape="rect" coords="17136, 7, 17291, 31" />
<area alt="Scopes/Synopsis/PTree/CommentedAtom.html" href="Scopes/Synopsis/PTree/CommentedAtom.html" shape="rect" coords="17187, 81, 17411, 105" />
<area alt="Scopes/Synopsis/PTree/Keyword.html" href="Scopes/Synopsis/PTree/Keyword.html" shape="rect" coords="16809, 163, 16985, 187" />
<area alt="Scopes/Synopsis/PTree/Identifier.html" href="Scopes/Synopsis/PTree/Identifier.html" shape="rect" coords="17009, 163, 17185, 187" />
<area alt="Scopes/Synopsis/PTree/DupAtom.html" href="Scopes/Synopsis/PTree/DupAtom.html" shape="rect" coords="17209, 163, 17388, 187" />
<area alt="Scopes/Synopsis/PTree/Iterator.html" href="Scopes/Synopsis/PTree/Iterator.html" shape="rect" coords="17412, 163, 17577, 187" />
<area alt="Scopes/Synopsis/PTree/Array.html" href="Scopes/Synopsis/PTree/Array.html" shape="rect" coords="17601, 163, 17756, 187" />
<area alt="Scopes/Synopsis/PTree/UserKeyword.html" href="Scopes/Synopsis/PTree/UserKeyword.html" shape="rect" coords="16687, 251, 16889, 275" />
<area alt="Scopes/Synopsis/PTree/KeywordT.html" href="Scopes/Synopsis/PTree/KeywordT.html" shape="rect" coords="16913, 243, 17097, 283" />
</map>
</div><div class="inheritance-group">Graphs in Synopsis::SymbolLookup:<br/><img alt="InheritanceGraph-4" src="InheritanceGraph-4.png" hspace="8" vspace="8" border="0" usemap="#InheritanceGraph-4_map" />
<map name="InheritanceGraph-4_map"><area alt="Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" href="Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" shape="rect" coords="5, 82, 253, 106" />
<area alt="Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" href="Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" shape="rect" coords="8, 7, 251, 31" />
<area alt="Scopes/Synopsis/SymbolLookup/Symbol.html" href="Scopes/Synopsis/SymbolLookup/Symbol.html" shape="rect" coords="1131, 7, 1347, 31" />
<area alt="Scopes/Synopsis/SymbolLookup/VariableName.html" href="Scopes/Synopsis/SymbolLookup/VariableName.html" shape="rect" coords="277, 82, 528, 106" />
<area alt="Scopes/Synopsis/SymbolLookup/TypeName.html" href="Scopes/Synopsis/SymbolLookup/TypeName.html" shape="rect" coords="688, 82, 923, 106" />
<area alt="Scopes/Synopsis/SymbolLookup/NamespaceName.html" href="Scopes/Synopsis/SymbolLookup/NamespaceName.html" shape="rect" coords="947, 82, 1219, 106" />
<area alt="Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" href="Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" shape="rect" coords="1243, 82, 1549, 106" />
<area alt="Scopes/Synopsis/SymbolLookup/FunctionName.html" href="Scopes/Synopsis/SymbolLookup/FunctionName.html" shape="rect" coords="1573, 82, 1829, 106" />
<area alt="Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" href="Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" shape="rect" coords="1853, 82, 2141, 106" />
<area alt="Scopes/Synopsis/SymbolLookup/ConstName.html" href="Scopes/Synopsis/SymbolLookup/ConstName.html" shape="rect" coords="215, 156, 452, 180" />
<area alt="Scopes/Synopsis/SymbolLookup/TypedefName.html" href="Scopes/Synopsis/SymbolLookup/TypedefName.html" shape="rect" coords="476, 156, 729, 180" />
<area alt="Scopes/Synopsis/SymbolLookup/EnumName.html" href="Scopes/Synopsis/SymbolLookup/EnumName.html" shape="rect" coords="753, 156, 993, 180" />
<area alt="Scopes/Synopsis/SymbolLookup/ClassName.html" href="Scopes/Synopsis/SymbolLookup/ClassName.html" shape="rect" coords="1017, 156, 1252, 180" />
</map>
<img alt="InheritanceGraph-5" src="InheritanceGraph-5.png" hspace="8" vspace="8" border="0" usemap="#InheritanceGraph-5_map" />
<map name="InheritanceGraph-5_map"><area alt="Scopes/Synopsis/SymbolLookup/Scope.html" href="Scopes/Synopsis/SymbolLookup/Scope.html" shape="rect" coords="416, 7, 624, 31" />
<area alt="Scopes/Synopsis/SymbolLookup/Namespace.html" href="Scopes/Synopsis/SymbolLookup/Namespace.html" shape="rect" coords="5, 81, 243, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/LocalScope.html" href="Scopes/Synopsis/SymbolLookup/LocalScope.html" shape="rect" coords="267, 81, 504, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/FunctionScope.html" href="Scopes/Synopsis/SymbolLookup/FunctionScope.html" shape="rect" coords="528, 81, 784, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/Class.html" href="Scopes/Synopsis/SymbolLookup/Class.html" shape="rect" coords="808, 81, 1008, 105" />
</map>
<img alt="InheritanceGraph-6" src="InheritanceGraph-6.png" hspace="8" vspace="8" border="0" usemap="#InheritanceGraph-6_map" />
<map name="InheritanceGraph-6_map"><area alt="Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" href="Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" shape="rect" coords="8, 7, 259, 31" />
<area alt="Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" href="Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" shape="rect" coords="5, 81, 261, 105" />
</map>
</div><div class="inheritance-group">Graphs in Synopsis::TypeAnalysis:<br/><img alt="InheritanceGraph-7" src="InheritanceGraph-7.png" hspace="8" vspace="8" border="0" usemap="#InheritanceGraph-7_map" />
<map name="InheritanceGraph-7_map"><area alt="Scopes/Synopsis/TypeAnalysis/Type.html" href="Scopes/Synopsis/TypeAnalysis/Type.html" shape="rect" coords="1005, 7, 1195, 31" />
<area alt="Scopes/Synopsis/TypeAnalysis/Reference.html" href="Scopes/Synopsis/TypeAnalysis/Reference.html" shape="rect" coords="5, 82, 227, 106" />
<area alt="Scopes/Synopsis/TypeAnalysis/PointerToMember.html" href="Scopes/Synopsis/TypeAnalysis/PointerToMember.html" shape="rect" coords="251, 82, 517, 106" />
<area alt="Scopes/Synopsis/TypeAnalysis/Pointer.html" href="Scopes/Synopsis/TypeAnalysis/Pointer.html" shape="rect" coords="541, 82, 744, 106" />
<area alt="Scopes/Synopsis/TypeAnalysis/Function.html" href="Scopes/Synopsis/TypeAnalysis/Function.html" shape="rect" coords="768, 82, 979, 106" />
<area alt="Scopes/Synopsis/TypeAnalysis/Enum.html" href="Scopes/Synopsis/TypeAnalysis/Enum.html" shape="rect" coords="1003, 82, 1197, 106" />
<area alt="Scopes/Synopsis/TypeAnalysis/Compound.html" href="Scopes/Synopsis/TypeAnalysis/Compound.html" shape="rect" coords="1221, 82, 1445, 106" />
<area alt="Scopes/Synopsis/TypeAnalysis/CVType.html" href="Scopes/Synopsis/TypeAnalysis/CVType.html" shape="rect" coords="1469, 82, 1677, 106" />
<area alt="Scopes/Synopsis/TypeAnalysis/BuiltinType.html" href="Scopes/Synopsis/TypeAnalysis/BuiltinType.html" shape="rect" coords="1701, 82, 1928, 106" />
<area alt="Scopes/Synopsis/TypeAnalysis/Array.html" href="Scopes/Synopsis/TypeAnalysis/Array.html" shape="rect" coords="1952, 82, 2147, 106" />
<area alt="Scopes/Synopsis/TypeAnalysis/Union.html" href="Scopes/Synopsis/TypeAnalysis/Union.html" shape="rect" coords="1128, 156, 1323, 180" />
<area alt="Scopes/Synopsis/TypeAnalysis/Class.html" href="Scopes/Synopsis/TypeAnalysis/Class.html" shape="rect" coords="1347, 156, 1536, 180" />
</map>
</div>
</body>
</html>
